# DataExchange
TKSTEPBase
StepGeom

# StepGeom_ReparametrisedCompositeCurveSegment Class Reference

`#include <StepGeom_ReparametrisedCompositeCurveSegment.hxx>`

Inheritance diagram for StepGeom_ReparametrisedCompositeCurveSegment:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_ReparametrisedCompositeCurveSegment ()
| Returns a ReparametrisedCompositeCurveSegment .
virtual Standard_EXPORT void | Init (const StepGeom_TransitionCode aTransition, const Standard_Boolean aSameSense, const Handle(StepGeom_Curve)&aParentCurve)
virtual Standard_EXPORT void | Init (const StepGeom_TransitionCode aTransition, const Standard_Boolean aSameSense, const Handle(StepGeom_Curve)&aParentCurve, const Standard_Real aParamLength)
Standard_EXPORT void | SetParamLength (const Standard_Real aParamLength)
Standard_EXPORT Standard_Real | ParamLength () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | paramLength

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_ReparametrisedCompositeCurveSegment::StepGeom_ReparametrisedCompositeCurveSegment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_ReparametrisedCompositeCurveSegment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_CompositeCurveSegment.

virtual Standard_EXPORT void StepGeom_ReparametrisedCompositeCurveSegment::Init | ( | const StepGeom_TransitionCode | aTransition,
|  | const Standard_Boolean | aSameSense,
|  | const Handle(StepGeom_Curve)& | aParentCurve,
|  | const Standard_Real | aParamLength
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_ReparametrisedCompositeCurveSegment::Init | ( | const StepGeom_TransitionCode | aTransition,
|  | const Standard_Boolean | aSameSense,
|  | const Handle(StepGeom_Curve)& | aParentCurve
| ) | `[virtual]`

| Reimplemented from StepGeom_CompositeCurveSegment.

Standard_EXPORT Standard_Real StepGeom_ReparametrisedCompositeCurveSegment::ParamLength | ( |  | ) | const

Standard_EXPORT void StepGeom_ReparametrisedCompositeCurveSegment::SetParamLength | ( | const Standard_Real | aParamLength | ) |

## Field Documentation

Standard_Real StepGeom_ReparametrisedCompositeCurveSegment::paramLength `[private]`

The documentation for this class was generated from the following file:

- StepGeom_ReparametrisedCompositeCurveSegment.hxx